## alsamidisrc alsamidisrc |

## Properties

gchar * | ports | Read / Write

## Types and Values

struct | GstAlsaMidiSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAlsaMidiSrc

## Description

The alsamidisrc element is an element that fetches ALSA MIDI sequencer events and makes them available to elements understanding audio/x-midi-events in their sink pads.

It can be used to generate notes from a MIDI input device.

### Example launch line

    1
    gst-launch -v alsamidisrc ports=129:0 ! fluiddec ! audioconvert ! autoaudiosink

This pipeline will listen for events from the sequencer device at port 129:0, and generate notes using the fluiddec element.

## Synopsis

### Element Information

plugin | alsa
author | Antonio Ospite <ao2@ao2.it>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | audio/x-midi-event

## Functions

## Types and Values

### struct GstAlsaMidiSrc

    struct GstAlsaMidiSrc;

Opaque GstAlsaMidiSrc data structure.

## Property Details

### The `“ports”` property

      “ports”                    gchar *

Comma separated list of sequencer ports (e.g. client:port,...).

Flags: Read / Write

Default value: NULL

## See Also

GstPushSrc